#ifndef __UTIL_H
#define __UTIL_H

#include <stdio.h>
#ifndef WINELIB
#  include <stdlib.h>
#endif

void fatal (const char* msg);
void *xmalloc (size_t len);
void *xrealloc (void *op, size_t len);
void xprintf (const char *fmt, ...);
char *vstrmake (size_t *lenp, const char *fmt, va_list ap);
char *strmake (size_t *lenp, const char *fmt, ...);

#endif /* __UTIL_H */
